summaryrefslogtreecommitdiffstats
path: root/development
diff options
context:
space:
mode:
author Benjamin Trigona-Harany <slackbuilds@jaxartes.net>2014-03-04 17:48:26 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2014-03-04 22:43:47 +0700
commit4f929d2340011caab57a78fc0c451df877cc36ba (patch)
tree7977abdc43befd0ddb872a381b6d12abe0b5edba /development
parent0d6aeb29cf15a0151e6757e5a41ff2b39fc531bd (diff)
downloadslackbuilds-4f929d2340011caab57a78fc0c451df877cc36ba.tar.gz
slackbuilds-4f929d2340011caab57a78fc0c451df877cc36ba.tar.xz
development/ipython-mathjax: Added (Mathematics Engine).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'development')
-rw-r--r--development/ipython-mathjax/README2
-rw-r--r--development/ipython-mathjax/doinst.sh10
-rw-r--r--development/ipython-mathjax/ipython-mathjax.SlackBuild80
-rw-r--r--development/ipython-mathjax/ipython-mathjax.info10
-rw-r--r--development/ipython-mathjax/slack-desc19
5 files changed, 121 insertions, 0 deletions
diff --git a/development/ipython-mathjax/README b/development/ipython-mathjax/README
new file mode 100644
index 0000000000..eb2285a15e
--- /dev/null
+++ b/development/ipython-mathjax/README
@@ -0,0 +1,2 @@
+MathJax is an open-source JavaScript display engine. This package makes MathJax
+routines available to locally-running instances of IPython's web notebook.
diff --git a/development/ipython-mathjax/doinst.sh b/development/ipython-mathjax/doinst.sh
new file mode 100644
index 0000000000..fe6f6cfc46
--- /dev/null
+++ b/development/ipython-mathjax/doinst.sh
@@ -0,0 +1,10 @@
+# Update the X font indexes:
+if [ -x /usr/bin/mkfontdir -o -x /usr/X11R6/bin/mkfontdir ]; then
+ ( cd /usr/share/fonts/OTF
+ mkfontscale .
+ mkfontdir .
+ )
+fi
+if [ -x /usr/bin/fc-cache ]; then
+ /usr/bin/fc-cache -f
+fi
diff --git a/development/ipython-mathjax/ipython-mathjax.SlackBuild b/development/ipython-mathjax/ipython-mathjax.SlackBuild
new file mode 100644
index 0000000000..4b7802ebf2
--- /dev/null
+++ b/development/ipython-mathjax/ipython-mathjax.SlackBuild
@@ -0,0 +1,80 @@
+#!/bin/sh
+
+# SlackBuild script for ipython-mathjax
+
+# Copyright 2014 Benjamin Trigona-Harany <slackbuilds@jaxartes.net>
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions are
+# met:
+#
+# * Redistributions of source code must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
+# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
+# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
+# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
+# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
+# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
+# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
+# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
+# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=ipython-mathjax
+SRCNAM=MathJax
+VERSION=${VERSION:-2.3}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+rm -rf $TMP/$SRCNAM-$VERSION
+cd $TMP
+if [ -e $CWD/v$VERSION.tar.gz ]; then
+ tar xvf $CWD/v$VERSION.tar.gz
+else
+ tar xvf $CWD/$SRCNAM-$VERSION.tar.gz
+fi
+cd $SRCNAM-$VERSION
+chown -R root:root .
+
+# get the IPython install location to creat the mathjax path
+MATHJAX_DIR=$(python -c "import IPython; dir(IPython); print IPython.__path__[0]")/html/static/mathjax
+
+# change default config to disallow image fonts
+sed -i "s/imageFont:\"TeX\"/imageFont: null/" config/default.js
+
+# install the STIX fonts
+mkdir -p $PKG/usr/share/fonts/OTF
+cp fonts/HTML-CSS/STIX-Web/otf/* $PKG/usr/share/fonts/OTF
+
+# install the required MathJax files
+mkdir -p $PKG/$MATHJAX_DIR
+cp -r config $PKG/$MATHJAX_DIR
+cp -r extensions $PKG/$MATHJAX_DIR
+cp -r images $PKG/$MATHJAX_DIR
+cp -r localization $PKG/$MATHJAX_DIR
+cp -r jax $PKG/$MATHJAX_DIR
+cp MathJax.js $PKG/$MATHJAX_DIR
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a LICENSE README.md $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-noarch-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/ipython-mathjax/ipython-mathjax.info b/development/ipython-mathjax/ipython-mathjax.info
new file mode 100644
index 0000000000..882c680077
--- /dev/null
+++ b/development/ipython-mathjax/ipython-mathjax.info
@@ -0,0 +1,10 @@
+PRGNAM="ipython-mathjax"
+VERSION="2.3"
+HOMEPAGE="http://www.mathjax.org/"
+DOWNLOAD="https://github.com/mathjax/MathJax/archive/v2.3.tar.gz"
+MD5SUM="91b1eff73bc9dccb99e4a431f8a2514d"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="ipython"
+MAINTAINER="Benjamin Trigona-Harany"
+EMAIL="slackbuilds@jaxartes.net"
diff --git a/development/ipython-mathjax/slack-desc b/development/ipython-mathjax/slack-desc
new file mode 100644
index 0000000000..9da56b7220
--- /dev/null
+++ b/development/ipython-mathjax/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+ipython-mathjax: ipython-mathjax (engine for displaying mathematics in IPython)
+ipython-mathjax:
+ipython-mathjax: MathJax is an open-source JavaScript display engine. This package
+ipython-mathjax: makes MathJax routines available to IPython.
+ipython-mathjax:
+ipython-mathjax:
+ipython-mathjax:
+ipython-mathjax:
+ipython-mathjax:
+ipython-mathjax:
+ipython-mathjax: